#!/bin/sh
source "/var/volatile/project_eris.cfg"
cd "/var/volatile/launchtmp"
chmod +x "dosbox"
cp -f "default.cfg" "/tmp"
cat "application/dosbox_autoexec" >> "/tmp/default.cfg"
echo -n 2 > "/data/power/disable"
HOME="/var/volatile/launchtmp" LD_LIBRARY_PATH="/media/project_eris/lib/" ./dosbox -conf "/tmp/default.cfg" -fullscreen &> "${RUNTIME_LOG_PATH}/dosbox_gl.log"
echo -n 1 > "/data/power/disable"
rm -f "/tmp/default.cfg"
echo "launch_StockUI" > "/tmp/launchfilecommand"